Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Analysis

All Superinterfaces:
  Persistent, java.io.Serializable

public interface Analysis
extends Persistent

Represents a process used to create features such as genes.

Method Summary
`java.sql.Timestamp` | `getCreated()`
`java.lang.String` | `getGFFFeature()`
`java.lang.String` | `getGFFSource()`
`java.lang.String` | `getLogicalName()` Logical name of the analysis.
`java.lang.String` | `getParameters()` Source database used for analysis.
`java.lang.String` | `getProgram()` External program used for analysis.
`java.lang.String` | `getProgramFile()` External program used for analysis.
`java.lang.String` | `getProgramVersion()` External program used for analysis.
`java.lang.String` | `getRunnable()` Runnable used for analysis.
`java.lang.String` | `getRunnableVersion()`
`java.lang.String` | `getSourceDatabase()` Source database used for analysis.
`java.lang.String` | `getSourceDatabaseFile()` Source database used for analysis.
`java.lang.String` | `getSourceDatabaseVersion()` Source database used for analysis.
`void` | `setCreated(java.sql.Timestamp created)`
`void` | `setGFFFeature(java.lang.String feature)`
`void` | `setGFFSource(java.lang.String source)`
`void` | `setLogicalName(java.lang.String logicalName)`
`void` | `setParameters(java.lang.String parameters)`
`void` | `setProgram(java.lang.String program)`
`void` | `setProgramFile(java.lang.String programFile)`
`void` | `setProgramVersion(java.lang.String programVersion)`
`void` | `setRunnable(java.lang.String module)`
`void` | `setRunnableVersion(java.lang.String runnableVersion)`
`void` | `setSourceDatabase(java.lang.String sourceDatabase)`
`void` | `setSourceDatabaseFile(java.lang.String sourceDatabaseFile)`
`void` | `setSourceDatabaseVersion(java.lang.String sourceDatabaseVersion)`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Method Detail

### getLogicalName

    public java.lang.String getLogicalName()

  Logical name of the analysis.

### setLogicalName

    public void setLogicalName(java.lang.String logicalName)

### getProgram

    public java.lang.String getProgram()

  External program used for analysis.

### setProgram

    public void setProgram(java.lang.String program)

### getProgramVersion

    public java.lang.String getProgramVersion()

  External program used for analysis.

### setProgramVersion

    public void setProgramVersion(java.lang.String programVersion)

### getProgramFile

    public java.lang.String getProgramFile()

  External program used for analysis.

### setProgramFile

    public void setProgramFile(java.lang.String programFile)

### getParameters

    public java.lang.String getParameters()

  Source database used for analysis.

### setParameters

    public void setParameters(java.lang.String parameters)

### getSourceDatabase

    public java.lang.String getSourceDatabase()

  Source database used for analysis.

### setSourceDatabase

    public void setSourceDatabase(java.lang.String sourceDatabase)

### getSourceDatabaseVersion

    public java.lang.String getSourceDatabaseVersion()

  Source database used for analysis.

### setSourceDatabaseVersion

    public void setSourceDatabaseVersion(java.lang.String sourceDatabaseVersion)

### getSourceDatabaseFile

    public java.lang.String getSourceDatabaseFile()

  Source database used for analysis.

### setSourceDatabaseFile

    public void setSourceDatabaseFile(java.lang.String sourceDatabaseFile)

### getRunnable

    public java.lang.String getRunnable()

  Runnable used for analysis.

### setRunnable

    public void setRunnable(java.lang.String module)

### getRunnableVersion

    public java.lang.String getRunnableVersion()

### setRunnableVersion

    public void setRunnableVersion(java.lang.String runnableVersion)

### getGFFSource

    public java.lang.String getGFFSource()

### setGFFSource

    public void setGFFSource(java.lang.String source)

### getGFFFeature

    public java.lang.String getGFFFeature()

### setGFFFeature

    public void setGFFFeature(java.lang.String feature)

### getCreated

    public java.sql.Timestamp getCreated()

### setCreated

    public void setCreated(java.sql.Timestamp created)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD